kyyap5509
Contributor
Contributor

HP CN1000Q Dual Port Converged Network Adapter firmware 4.20.xx for esxi 6.5

I have CNA card HP CN1000Q dual port running for FcOE , I have checked on the firmware compatibility list from vmware website it show , there is a firmware version 4.20.xx  

From HPe website I only manage to find this advisory note to download the firmware ver 4.20.xx

https://support.hpe.com/hpesc/public/docDisplay?docId=c05098855&docLocale=en_US

But when I execute the firmware update , it throw a message

This version of ESX is not supported. Exiting,,,

any idea why ?

0 Kudos
5 Replies
e_espinel
Virtuoso
Virtuoso

Hello.
Do you know the current Driver and firmware version of the Adapter ? can you include them in this post.
If you don't have them you can get them with the following commands:
List of the adapters, to know which vmnicX corresponds to the HP CN1000Q
# escli network nic list

Identified to the VMnicX, execute the following command:
esxcli network nic get -n vmnicX
X must be replaced by the corresponding adapter number.

 

 

Enrique Espinel
Senior Technical Support IBM, Lenovo, Veeam Backup and VMware vSphere.
VSP-SV, VTSP-SV, VTSP-HCI, VTSP
Please mark my comment as Correct Answer or assign Kudos if my answer was helpful to you, Thank you.
Пожалуйста, отметьте мой комментарий как Правильный ответ или поставьте Кудо, если мой ответ был вам полезен, Спасибо.
0 Kudos
kyyap5509
Contributor
Contributor

driver is qlnativefc version 2.1.27.0-1

firmware version is 4.14.26

 

0 Kudos
e_espinel
Virtuoso
Virtuoso

Hello.
You could try to update the Firmware using the Service Pack for ProLiant 2017.04.0 (21 Apr 2017)
which should include FW 4.20.1
https://support.hpe.com/hpesc/public/swd/detail?swItemId=MTX_3f6b4074ed734dc3baf007612d#tab-history

 

 

Enrique Espinel
Senior Technical Support IBM, Lenovo, Veeam Backup and VMware vSphere.
VSP-SV, VTSP-SV, VTSP-HCI, VTSP
Please mark my comment as Correct Answer or assign Kudos if my answer was helpful to you, Thank you.
Пожалуйста, отметьте мой комментарий как Правильный ответ или поставьте Кудо, если мой ответ был вам полезен, Спасибо.
0 Kudos
e_espinel
Virtuoso
Virtuoso

Hello.
You tried to update the firmware with CP029851.zip file ?
Did you follow the instructions of the faithful CP0229851.txt ?
I try to update the fW with the command
Force Mode : #./CPxxxxxx.vmexe -f

 

 

Enrique Espinel
Senior Technical Support IBM, Lenovo, Veeam Backup and VMware vSphere.
VSP-SV, VTSP-SV, VTSP-HCI, VTSP
Please mark my comment as Correct Answer or assign Kudos if my answer was helpful to you, Thank you.
Пожалуйста, отметьте мой комментарий как Правильный ответ или поставьте Кудо, если мой ответ был вам полезен, Спасибо.
0 Kudos
e_espinel
Virtuoso
Virtuoso

Hello.
I attach link where you can get the FW update to version 4.20, but I found only for Windows. You would have to remove the HP CN1000Q Adapter from the ESXi Host and take it to a Windows server to perform the upgrade.

https://support.hpe.com/hpesc/public/swd/detail?swItemId=MTX_427147aa3dfa4f23b5a5e81f02#tab3

 

 

Enrique Espinel
Senior Technical Support IBM, Lenovo, Veeam Backup and VMware vSphere.
VSP-SV, VTSP-SV, VTSP-HCI, VTSP
Please mark my comment as Correct Answer or assign Kudos if my answer was helpful to you, Thank you.
Пожалуйста, отметьте мой комментарий как Правильный ответ или поставьте Кудо, если мой ответ был вам полезен, Спасибо.
0 Kudos